Page 5 of 5 FirstFirst 12345
Results 41 to 44 of 44

Thread: lisp para sumar multiples líneas, polilineas y arcos de un dibujo

  1. #41
    Woo! Hoo! my 1st post
    Join Date
    2017-01
    Posts
    1


    Default Re: lisp para sumar multiples líneas, polilineas y arcos de un dibujo

    Muchiísima gracias por su aporte

  2. #42
    Woo! Hoo! my 1st post
    Join Date
    2017-03
    Posts
    1


    Default Re: lisp para sumar multiples líneas, polilineas y arcos de un dibujo

    gracias!!!

  3. #43
    Woo! Hoo! my 1st post
    Join Date
    2017-05
    Posts
    1


    Default Re: lisp para sumar multiples líneas, polilineas y arcos de un dibujo

    Gracias!!! Me viene perfectos

  4. #44


    Default Re: lisp para sumar multiples líneas, polilineas y arcos de un dibujo

    Aqui un codigo para sumar Lineas, Polilineas, Arcos, Circulos, Elipses, Spline, 3dpoly



    Code:
    (defun c:SUMALL(/ fList firSet entSet filOut entList totLen)
      
      (vl-load-com)
      
      (setq fList '((-4 . "<OR")(0 . "*LINE")(0 . "CIRCLE")
    		(0 . "ARC")(0 . "ELLIPSE")(-4 . "OR>")
    		(-4 . "<NOT")(0 . "MLINE")(-4 . "NOT>"))
    	filOut 0
    	); end setq
      (if
        (not
          (and
            (setq firSet(ssget "_I")
                  entSet(ssget "_I" fList)
                  ); end setq
           ); end and
         ); end not
         (progn
           (princ "\n<<< Seleccione entidades para calcular la longitud Total: >>> ")
           (setq entSet(ssget fList))
          ); end progn
          (setq filOut(-(sslength firSet)(sslength entset)))
        ); end if
      (if entSet
        (progn
          (setq entList(mapcar 'vlax-ename->vla-object
                        (vl-remove-if 'listp
                         (mapcar 'cadr(ssnamex entSet))))
                totLen(apply '+
                        (mapcar '(lambda (x)
                          (vlax-curve-getDistAtParam x
                            (vlax-curve-getEndParam x)))entList))
                ); end setq
                 (if(/= 0 filOut)
                     (princ(strcat "\n<!> " (itoa filout)
                       " were filtered out (unsupported type)! <!>"))
    	       ); end if
                 (princ(strcat "\n<<< Total de Entidades: "(itoa(length entList))
                               ", Longitud total: "(rtos totLen) " >>> "))
          ); end progn
        (princ "\n<!> No has seleccionado Nada! <!>")
        ); end if
      (princ)
     ); end of c:SUMALL

Page 5 of 5 FirstFirst 12345

Similar Threads

  1. Lisp para Calculos (Duvida)
    By martins.aloizio in forum Português - Customização / Programação
    Replies: 6
    Last Post: 2017-07-26, 03:02 PM
  2. 2012: IMPORTAR PROGRESIVAS PARA LINEAS DE MUESTREO
    By wellch85263183 in forum Español - AutoCAD Civil 3D
    Replies: 2
    Last Post: 2013-05-13, 03:53 PM
  3. Variable a deshabilitar para desaparecer el centroide de un dibujo
    By Nasser in forum Español - AutoCAD Civil 3D
    Replies: 2
    Last Post: 2009-04-15, 04:03 AM
  4. Lisp para alteração de texto
    By batista in forum Português - Customização / Programação
    Replies: 5
    Last Post: 2008-08-22, 10:08 PM
  5. Lisp para imprimir dwg em lote
    By lucianno in forum Português - Customização / Programação
    Replies: 0
    Last Post: 2008-01-10, 03:30 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •